Subject: [os2genau_digest] No. 1156
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 30 Jul 2005 00:02:08 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 29 July 2005
 Number  1156
**************************************************

Subjects for today
 
1   CD Data retrieval  - Success..! : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
2   Settings for Os/2 RSJ and normal CD or DVD reader use. : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
3  Re:  CD Data retrieval  - Success..! : Alan Duval <amoht at tpg dot com dot au>

**= Email   1 ==========================**

Date:  Fri, 29 Jul 2005 17:38:28 +1000
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:   CD Data retrieval  - Success..!

Hi Alan and All,

I have succeeded and posted off to Alan a CD with ALL the files
on a fresh CDR.  A 100% success.! 
(Subject to Alan confirming that all is ok).

Initially, I could not read the CD with ANY os (Win98, XP or eCS) but 
had not tried Linux.  I started investigating CD/DVD recovery programs
available for windows and of 14 tried, I only found TWO Commercial 
windows programs that could read the disk.  None of the os's by 
themselves could detect that there was a disk even in the drive, let 
alone read the disk itself.!

The best so far was:-
Smart Projects IsoBuster Pro 1.8.0.4    CD and DVD data recovery software
<http://www.smart-projects dot net/>

The only other contender was:-
DiskInternals CD & DVD Recovery
<http://diskinternals dot com/cd-dvd-recovery/>

The problem appears (My Guess based on MY earlier RSJ version problems) 
to be from too many "Finalise without session" ie too many Multi-Session
burns to the blank.  I NEVER do Multi-Session burns with ANY software,
and particularly with os/2 RSJ software.  

I have been bitten too many times in the past..!  As always YMMV.

The real big problem is that RSJ writes to CD/DVD blanks as though
it is writing an AUDIO track.  Even DATA is treated as if it was really
AUDIO.  As a direct result, the CD recovery packages under windows
had a real hard time of it as NONE have been tested with disks created
by RSJ.   Both packages listed files recoverable in the form of tracks
and with most files not identified as separate files but as a large or
small block of data of more than one file in length, ie a "track".

While I was able to extract the data with ISOBuster I could identify only 
a few files as I simply did not know enough about the start and end of file
characters that made up the file Alan was particularly hoping to recover.

ISOBuster also gave me an option to create a ISO image of the whole CD
which I did.  Strangely, further processing on the COPY of the damaged CD
made by way of the ISO image (burned with Windows Nero 6.6.0.15a) 
produced more easily identifiable file segments, particularly those created
in the first two sessions.  But still no joy with his file of choice "STOCK.DB".

So, I decided to have one last try with eCS.
First I decided to have a look at the copy CD and, as was the case in windows, 
eCS could not read the disk.  I then put the original CD in the drive, loaded RSJ
CDWriter and ATTACHED the drive.  Suddenly, the files were available and
fully visible.  My first efforts to read the original CD failed when ATTACHED.
Now it worked.  I presume attempting to read the COPY FIRST may have
somehow enabled the original to be read and accessed.

I welcome any other interpretation, I simply do not know.!

I rapidly copied everything off the disk and onto the hard drive.
Later I booted windows, ran Nero and burned all the data to a CD blank,
and posted both the new and original CD's off to Alan later that evening.

What is needed (I think) is RSJ aware recovery software (preferably os/2).

I have made up a separate email to the Os2Genau for my current config.sys
settings for RSJ 5.05.  Anyone interested should look at the email with the 
subject "Settings for Os/2 RSJ and normal CD or DVD reader use."

Note: When using the default RSJ method to ATTACH a CD disk so that you 
can read it, you have to take the FINALIZE option to eject it.   When into
the FINALIZE, _IF YOU HAVE NOT WRITTEN ANYTHING TO THE DISK, CHOOSE 
THE "EMERGENCY EJECT" OPTION.  

Or else configure your system like the email I mentioned in the above paragraph.  
You should only Finalize (with or without Session) IF you have written to the disk.  
Just reading the disk it is NOT neccessary at all and in fact could be dangerous.

The confusing thing with RSJ is that you have to choose to Finalize the disk
and when ANOTHER option box appears, you HAVE to Choose AGAIN, wether or not 
you want to Finalize.

At this point you have FOUR OPTIONS:-
1. Finalize Session
2. Finalize with Write Protection
3. Close without Session
4. Emergency Eject

If you are ONLY READING a Cd or DVD and you have ATTACHED with RSJ, then 
choose Option 4. Emergency Eject where NO WRITE will be done to the disk.!

HTH,
Regards,
Robert Traynor (BobT).
29 July 2005   9:14

On Mon, 25 Jul 2005 15:50:39 +1000, Alan Duval wrote:
> Hi,
> With all my recent problems with partition corruption I have had to 
> reinstall my system.
> I had saved years of  business information to a DVD using RSJ and a 
> pioneer 109 CD/DVR writer. However my Pioneer 109 failed yesterday after 
> only 6 months and I purchased an LG today but find that it wont read the 
> DVD that has my informatioin on it. This is either due to :
> 
> 1.  Having saved the data just prior to the partition corruption.

> 2.  The Pioneer 109 perhaps being faulty at the time and thus writing 
> faulty info to the DVD.

> 3.  My LG perhaps using a different reading format.
> 
> I hope it is the last and am requesting the help of anyone who has a 
> Pioneer 109 and RSJ on their system to help.
> What I would do is to send the DVD (which has a 200+ MB file on it)  to 
> see if it can be copied and if so then  the file could be zipped and 
> sent to me. It would save me a lot of work entering years of data from 
> paper records.
> 
> If anyone can help could you send me your postal address and I will 
> forward the DVD.
> 
> Regards
> 
> Alan Duval

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Fri, 29 Jul 2005 17:39:17 +1000
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:   Settings for Os/2 RSJ and normal CD or DVD reader use.

Hi All,

Settings for RSJ and normal CD or DVD reader use.
I have two DVD burners, a pioneer 105 and a 108 in my main machine.

Under eCS 1.0 and 1.1 and RSJ 5.05 (not latest version), I have the 
normal os/2 icons in the Drive folder for both burners as CD/DVD readers.

When I insert a blank CD or DVD and activate RSJ and press the ATTACH
button, the FIRST device (S: the 108) is now assigned the drive letter Z:.

RSJ cannot directly make use of the second DVD burner (105)  but it can be
MADE to do so with the aid of a third party utility called "CDRWSel" which can 
be d/l from Hobbes,
<http://hobbes.nmsu.edu/pub/os2/apps/mmedia/cd/cd-r/cdrwselv3_04.zip>
Or:-
Os2site dot com
<http://www.os2site.com/sw/mmedia/cdr/cdrwselv3_04.zip>.

Additionally "CDRWSel"  will do a test each time it is first activated and check
that your DaniAtapi.flt has the correct parameters and it will often make a 
recommendation as to the optimum config.sys settings to use. 
(ReBoot required _IF_ you alter your Config.sys, of course.)

My SIMPLIFIED config.sys entries that I use are displayed here:-

Config.sys showing ONLY those entries relevant to RSJ and
applicable to eCS 1.1 , 1.0 and probably others.

-----------Start------------
<SNIP>

rem  I recommend use of jjscdrom.dmd to take place of os2cdrom.dmd
REM DEVICE=D:\OS2\BOOT\OS2CDROM.DMD
DEVICE=D:\OS2\BOOT\jjscdrom.dmd

<SNIP>

BASEDEV=DANIS506.ADD

rem 2 lines below left in to show relative position to Danis506.add (above)
BASEDEV=OS2DASD.DMD
BASEDEV=OS2LVM.DMD

<SNIP>

rem  DaniAtapi drive configured with RSJ (5.05) and CDRecord/2
rem  Alan, please note YOUR version of RSJ is 5.52 (determined from CD codes)
rem  MY burners are all on the SECOND IDE controller as Master (108) and Slave (105)  (hence the "/A:1")
BASEDEV=DANIATAP.FLT /EJ /v /A:1 /!SCSI /RSJ

<SNIP>

rem  Below 2 lines relevant to CDRecord/2 only (free CD burning software - Not DVD)
BASEDEV=OS2ASPI.DMD /ALL
DEVICE=D:\OS2\BOOT\ASPIROUT.SYS

<SNIP>

REM *** RSJ CD-Writer File System ***
REM BASEDEV=RSJIDECD.FLT       <- this line MUST be remmed out..
DEVICE=D:\CDWFS\RSJSCSI.SYS
IFS=D:\CDWFS\CDWFS.IFS
RUN=D:\CDWFS\CDWFSD.EXE -p "N:/CDCACHE" -c20000 -b2048 -t2 -i3 -s4
BASEDEV=LOCKCDR.FLT
-----------End------------

Note of above, the "N:/CDCACHE" is relevant to MY system and is usually the
default boot drive selected by RSJ during its installation.

All Dani drivers are of the latest and most current version available to date.

This works for ME, YMMV, particularly if you have a RSJ version other than
5.05.

Regards,
Robert Traynor (BobT).
29 July 2005   9:31

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Fri, 29 Jul 2005 21:44:41 +1000
From:  Alan Duval <amoht at tpg dot com dot au>
Subject:  Re:  CD Data retrieval  - Success..!

Robert Traynor (BobT) wrote:

>Hi Alan and All,
>
>I have succeeded and posted off to Alan a CD with ALL the files
>on a fresh CDR.  A 100% success.! 
>(Subject to Alan confirming that all is ok).
>
>
>Initially, I could not read the CD with ANY os (Win98, XP or eCS) but 
>had not tried Linux.  I started investigating CD/DVD recovery programs
>available for windows and of 14 tried, I only found TWO Commercial 
>windows programs that could read the disk.  None of the os's by 
>themselves could detect that there was a disk even in the drive, let 
>alone read the disk itself.!
>
>The best so far was:-
>Smart Projects IsoBuster Pro 1.8.0.4    CD and DVD data recovery software
><http://www.smart-projects dot net/>
>
>The only other contender was:-
>DiskInternals CD & DVD Recovery
><http://diskinternals dot com/cd-dvd-recovery/>
>
>The problem appears (My Guess based on MY earlier RSJ version problems) 
>to be from too many "Finalise without session" ie too many Multi-Session
>burns to the blank.  I NEVER do Multi-Session burns with ANY software,
>and particularly with os/2 RSJ software.  
>
>I have been bitten too many times in the past..!  As always YMMV.
>
>The real big problem is that RSJ writes to CD/DVD blanks as though
>it is writing an AUDIO track.  Even DATA is treated as if it was really
>AUDIO.  As a direct result, the CD recovery packages under windows
>had a real hard time of it as NONE have been tested with disks created
>by RSJ.   Both packages listed files recoverable in the form of tracks
>and with most files not identified as separate files but as a large or
>small block of data of more than one file in length, ie a "track".
>
>
>While I was able to extract the data with ISOBuster I could identify only 
>a few files as I simply did not know enough about the start and end of file
>characters that made up the file Alan was particularly hoping to recover.
>
>
>ISOBuster also gave me an option to create a ISO image of the whole CD
>which I did.  Strangely, further processing on the COPY of the damaged CD
>made by way of the ISO image (burned with Windows Nero 6.6.0.15a) 
>produced more easily identifiable file segments, particularly those created
>in the first two sessions.  But still no joy with his file of choice "STOCK.DB".
>
>
>So, I decided to have one last try with eCS.
>First I decided to have a look at the copy CD and, as was the case in windows, 
>eCS could not read the disk.  I then put the original CD in the drive, loaded RSJ
>CDWriter and ATTACHED the drive.  Suddenly, the files were available and
>fully visible.  My first efforts to read the original CD failed when ATTACHED.
>Now it worked.  I presume attempting to read the COPY FIRST may have
>somehow enabled the original to be read and accessed.
>
>I welcome any other interpretation, I simply do not know.!
>
>I rapidly copied everything off the disk and onto the hard drive.
>Later I booted windows, ran Nero and burned all the data to a CD blank,
>and posted both the new and original CD's off to Alan later that evening.
>
>
>What is needed (I think) is RSJ aware recovery software (preferably os/2).
>
>I have made up a separate email to the Os2Genau for my current config.sys
>settings for RSJ 5.05.  Anyone interested should look at the email with the 
>subject "Settings for Os/2 RSJ and normal CD or DVD reader use."
>
>Note: When using the default RSJ method to ATTACH a CD disk so that you 
>can read it, you have to take the FINALIZE option to eject it.   When into
>the FINALIZE, _IF YOU HAVE NOT WRITTEN ANYTHING TO THE DISK, CHOOSE 
>THE "EMERGENCY EJECT" OPTION.  
>
>Or else configure your system like the email I mentioned in the above paragraph.  
>You should only Finalize (with or without Session) IF you have written to the disk.  
>Just reading the disk it is NOT neccessary at all and in fact could be dangerous.
>
>The confusing thing with RSJ is that you have to choose to Finalize the disk
>and when ANOTHER option box appears, you HAVE to Choose AGAIN, wether or not 
>you want to Finalize.
>
>At this point you have FOUR OPTIONS:-
>1. Finalize Session
>2. Finalize with Write Protection
>3. Close without Session
>4. Emergency Eject
>
>If you are ONLY READING a Cd or DVD and you have ATTACHED with RSJ, then 
>choose Option 4. Emergency Eject where NO WRITE will be done to the disk.!
>
>
>HTH,
>Regards,
>Robert Traynor (BobT).
>29 July 2005   9:14
>
>  
>
Hi Bob,

Yes you have recovered the data. I installed Stock.db in stockmaster and 
was able to see the data I had saved.
I appreciate all the effort you went to. I am saved from having to enter 
years of data.
I won't be able to check your Config.sys against mine until I get eCS 
1.2 installed. I hope my system isn't one of the ones that the eCs 1.2 
Athlon version doesn't install on. If it is I might have to see if I can 
sell this new PC and get one with an Intel MB.

Many thanks Bob,
Also thanks to everyone who offered help,

Alan Duval
----------------------------------------------------------------------------------